Subject: linux-next: manual merge of the netfilter-next tree with the net tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 19 May 2021 09:56:27 +1000

Hi all,

Today's linux-next merge of the netfilter-next tree got a conflict in:

  net/netfilter/nft_set_pipapo.c

between commit:

  f0b3d338064e ("netfilter: nft_set_pipapo_avx2: Add irq_fpu_usable() check, fallback to non-AVX2 version")

from the net tree and commit:

  b1bc08f6474f ("netfilter: nf_tables: prefer direct calls for set lookups")

from the netfilter-next tree.

I fixed it up (I just used the latter) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell